aboutsummaryrefslogtreecommitdiffstats
path: root/tools/tox_install.sh
diff options
context:
space:
mode:
authorUlas Kozat <ulas.kozat@huawei.com>2015-12-28 16:05:13 -0800
committerUlas Kozat <ulas.kozat@huawei.com>2015-12-28 16:05:13 -0800
commitc772a1dbc7ace58d099570d41a889adf851c8ba8 (patch)
tree809aefa0dae407a1d9c12989f7e8f60891700d17 /tools/tox_install.sh
parente671a915d887ae8f7751a54bb07ecb7ed8f2f25b (diff)
Added networking-sfc from openstack project with merge date Dec 23 2015stable/coloradostable/brahmaputra
Added patch 13 for subject "add missing db migration files" Change-Id: Id51a160335a14870c1dd816a44baf9b1958b9ac6
Diffstat (limited to 'tools/tox_install.sh')
-rwxr-xr-xtools/tox_install.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/tools/tox_install.sh b/tools/tox_install.sh
new file mode 100755
index 0000000..75b91a3
--- /dev/null
+++ b/tools/tox_install.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+# Many of neutron's repos suffer from the problem of depending on neutron,
+# but it not existing on pypi.
+
+# This wrapper for tox's package installer will use the existing package
+# if it exists, else use zuul-cloner if that program exists, else grab it
+# from neutron master via a hard-coded URL. That last case should only
+# happen with devs running unit tests locally.
+
+# From the tox.ini config page:
+# install_command=ARGV
+# default:
+# pip install {opts} {packages}
+
+set -e
+
+echo "PIP HARDCODE" > /tmp/tox_install.txt
+pip install -U -egit+https://git.openstack.org/openstack/neutron@stable/liberty#egg=neutron
+
+pip install -U $*
+exit $?